#Module-Specific definitions
%define mod_version 0.22
%define release 3mdk
%define mod_name mod_limitipconn
%define mod_conf 85_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 1.1
BuildRequires:  %{ap_name}-devel >= 2.0.44-6mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_limitipconn is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	GPL
URL:		http://dominia.org/djao/limitipconn.html
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper

%description
%{mod_name} is a DSO module for the %{ap_name} Web server to
limit the maximum number of simultaneous connections per IP
address. Allows inclusion and exclusion of files based on MIME
type.

%prep

%setup -q -n %{sourcename}
# OE: do _not_ apply any register patch here!

%build

%{apxs}  -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

# make the example work... (ugly, but it works...)

NEW_URL=/addon-modules/%{name}-%{version}
perl -pi -e "s|_REPLACE_ME_|$NEW_URL|g" %{buildroot}%{ap_confd}/%{mod_conf}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_0.22-3mdk
- fix requires

* Sun Feb 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.22-2mdk
- added a more informative error message 503 by Marcel Pol, thanks man!

* Wed Feb 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.22-1mdk
- initial cooker contrib
